Subject: Re: frustrated forensics: hard to find diff that undid a fix

From: Adam Monsen <[email-masked]>
Date: Sat, 05 Mar 2011 06:34:55 -0800

Jakub Narebski wrote:
> By default "git log -p" and "git show" considers merges uninteresting.
> Try "git log -p -c" or "git log -p -m".

Holy cow, that's a lifesaver! Thank you, Jakub!!

I totally missed the whole "Diff Formatting" section in the git-log(1)
manpage.

"git log -p -c" does exactly what I want. I'll make an alias or
something for these options.

I'm confused by this section of git-log(1):

  COMBINED DIFF FORMAT
    "git-diff-tree", "git-diff-files" and "git-diff" can take -c
    or --cc option to produce combined diff. For showing a merge
    commit with "git log -p", this is the default format; you can
    force showing full diff with the -m option.

Sounds like this is saying that -c is the default with "git log -p".
I'll submit a patch to fix that.